Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyEditorSupport

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport

All Implemented Interfaces:
  PropertyEditor

public class PropertyEditorSupport
extends Object
implements PropertyEditor

This is a support class to help build property editors.

It can be used either as a base class or as a delagatee.

Constructor Summary
`protected` | `PropertyEditorSupport()` Constructor for use by derived PropertyEditor classes.
`protected` | `PropertyEditorSupport(Object source)` Constructor for use when a PropertyEditor is delegating to us.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Register a listener for the PropertyChange event.
`void` | `firePropertyChange()` Report that we have been modified to any interested listeners.
`String` | `getAsText()` Gets the property value as a string suitable for presentation to a human to edit.
`Component` | `getCustomEditor()` A PropertyEditor may chose to make available a full custom Component that edits its property value.
`String` | `getJavaInitializationString()` This method is intended for use when generating Java code to set the value of the property.
`String[]` | `getTags()` If the property value must be one of a set of known tagged values, then this method should return an array of the tag values.
`Object` | `getValue()` Gets the value of the property.
`boolean` | `isPaintable()` Determines whether the class will honor the painValue method.
`void` | `paintValue(Graphics gfx, Rectangle box)` Paint a representation of the value into a given area of screen real estate.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a listener for the PropertyChange event.
`void` | `setAsText(String text)` Sets the property value by parsing a given String.
`void` | `setValue(Object value)` Set (or change) the object that is to be edited.
`boolean` | `supportsCustomEditor()` Determines whether the propertyEditor can provide a custom editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyEditorSupport

    protected PropertyEditorSupport()

  Constructor for use by derived PropertyEditor classes.

### PropertyEditorSupport

    protected PropertyEditorSupport(Object source)

  Constructor for use when a PropertyEditor is delegating to us.

Parameters:
  `source` - The source to use for any events we fire.

Method Detail

### setValue

    public void setValue(Object value)

  Set (or change) the object that is to be edited.

  Specified by:
    `setValue` in interface `PropertyEditor`
  Parameters:
    `value` - The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

### getValue

    public Object getValue()

  Gets the value of the property.

  Specified by:
    `getValue` in interface `PropertyEditor`
  Returns:
    The value of the property.

### isPaintable

    public boolean isPaintable()

  Determines whether the class will honor the painValue method.

  Specified by:
    `isPaintable` in interface `PropertyEditor`
  Returns:
    True if the class will honor the paintValue method.

### paintValue

    public void paintValue(Graphics gfx,
                           Rectangle box)

  Paint a representation of the value into a given area of screen real estate. Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

  If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

  Specified by:
    `paintValue` in interface `PropertyEditor`
  Parameters:
    `gfx` - Graphics object to paint into.
    `box` - Rectangle within graphics object into which we should paint.

### getJavaInitializationString

    public String getJavaInitializationString()

  This method is intended for use when generating Java code to set the value of the property. It should return a fragment of Java code that can be used to initialize a variable with the current property value.

  Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

  Specified by:
    `getJavaInitializationString` in interface `PropertyEditor`
  Returns:
    A fragment of Java code representing an initializer for the current value.

### getAsText

    public String getAsText()

  Gets the property value as a string suitable for presentation to a human to edit.

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Returns:
    The property value as a string suitable for presentation to a human to edit.

    Returns "null" is the value can't be expressed as a string.

    If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Sets the property value by parsing a given String. May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Parameters:
    `text` - The string to be parsed.
    `IllegalArgumentException`

### getTags

    public String[] getTags()

  If the property value must be one of a set of known tagged values, then this method should return an array of the tag values. This can be used to represent (for example) enum values. If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value.

  Specified by:
    `getTags` in interface `PropertyEditor`
  Returns:
    The tag values for this property. May be null if this property cannot be represented as a tagged value.

### getCustomEditor

    public Component getCustomEditor()

  A PropertyEditor may chose to make available a full custom Component that edits its property value. It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

  The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

  Specified by:
    `getCustomEditor` in interface `PropertyEditor`
  Returns:
    A java.awt.Component that will allow a human to directly edit the current property value. May be null if this is not supported.

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Determines whether the propertyEditor can provide a custom editor.

  Specified by:
    `supportsCustomEditor` in interface `PropertyEditor`
  Returns:
    True if the propertyEditor can provide a custom editor.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Register a listener for the PropertyChange event. The class will fire a PropertyChange value whenever the value is updated.

  Specified by:
    `addPropertyChangeListener` in interface `PropertyEditor`
  Parameters:
    `listener` - An object to be invoked when a PropertyChange event is fired.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a listener for the PropertyChange event.

  Specified by:
    `removePropertyChangeListener` in interface `PropertyEditor`
  Parameters:
    `listener` - The PropertyChange listener to be removed.

### firePropertyChange

    public void firePropertyChange()

  Report that we have been modified to any interested listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.